iscsi initiator related configs and logs are not recorded

Bug #1605243 reported by Gavin Guo on 2016-07-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sosreport (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
Zesty
Medium
Unassigned

Bug Description

[SRU justification]
iscsi initiator data is needed for proper analysis

[Impact]
Difficult to investigate iscsi problems w/o the data

[Fix]
Enable the iscsi plugin for Ubuntu and Debian

[Test Case]
Without the fix, invoking the iscsi plugin will show :

# sosreport --batch -oiscsi

sosreport (version 3.1)

a non-existing plugin (iscsi) was specified in the command line

With the fix, the command will run successfully and collect the appropriate data.

[Regression]
None, the plugin was disabled previously.

[Original description of the problem]
iscsi useful initiator information such as:
1). etc/iscsi/*
2). iscsiadm -m session -P3

These 2 are useful for debugging the iscsi initiator side bug. However, it's not included by default in the sosreport.

Joshua Powers (powersj) on 2016-12-20
Changed in sosreport (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Louis Bouchard (louis) on 2017-01-17
Changed in sosreport (Ubuntu):
importance: Wishlist → Medium
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in sosreport (Ubuntu Trusty):
status: New → Confirmed
Changed in sosreport (Ubuntu Xenial):
status: New → Confirmed
Changed in sosreport (Ubuntu Yakkety):
status: New → Confirmed
Changed in sosreport (Ubuntu Trusty):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Xenial):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Trusty):
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in sosreport (Ubuntu Xenial):
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in sosreport (Ubuntu Yakkety):
assignee: nobody → Louis Bouchard (louis-bouchard)
Louis Bouchard (louis) on 2017-01-17
Changed in sosreport (Ubuntu Trusty):
status: Confirmed → Triaged
Changed in sosreport (Ubuntu Xenial):
status: Confirmed → Triaged
Changed in sosreport (Ubuntu Yakkety):
status: Confirmed → Triaged
Louis Bouchard (louis) on 2017-01-17
description: updated
Louis Bouchard (louis) on 2017-01-17
Changed in sosreport (Ubuntu):
status: Triaged → In Progress
Changed in sosreport (Ubuntu Trusty):
status: Triaged → In Progress
Changed in sosreport (Ubuntu Xenial):
status: Triaged → In Progress
Changed in sosreport (Ubuntu Yakkety):
status: Triaged → In Progress
Louis Bouchard (louis) on 2017-01-17
tags: added: sts-sru
tags: added: sts-sru-needed
removed: sts-sru
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1

---------------
sosreport (3.4-1) unstable; urgency=medium

  * New upstream release v3.4
    New Features include :
        New plugins for :
        * virt-who
        * nodejs
        * npm
        * dracut
        * juju 2.0
        * grafana
        * nfsganesha
        * collectd
        * canonical_livepatch
        * jars
        * salt
        * saltmaster
        * storageconsole
        * gnocchi
        * crypto
        * azure/Red Hat
        * zfs
        Plugin API enhancements
        Internationalisation updates

  * Debian modifications :
    - Addition of DEP8 tests
    - Do not run Python2 only tests
    - d/p/0002-iscsi-Enable-plugin-for-Ubuntu-and-Debian.patch:
      Take into account the iscsi initiator config and logs

 -- Louis Bouchard <email address hidden> Wed, 05 Apr 2017 13:30:22 +0200

Changed in sosreport (Ubuntu):
status: In Progress → Fix Released
Louis Bouchard (louis) on 2017-04-25
Changed in sosreport (Ubuntu Zesty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Louis Bouchard (louis)

Hello Gavin, or anyone else affected,

Accepted sosreport into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in sosreport (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Gavin, or anyone else affected,

Accepted sosreport into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Yakkety):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Gavin, or anyone else affected,

Accepted sosreport into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Zesty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Gavin, or anyone else affected,

Accepted sosreport into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Louis Bouchard (louis) wrote :

Test done for the following releases : Trusty, Xenial, Yakkety, Zesty

1) Launch a container
2) Enable proposed
3) apt update
4) apt install sosreport and open-iscsi(if absent)
5) sosreport --batch -oiscsi
6) Extract sosreport tarball locally
7) Verify collected files :
# ls sosreport-zesty-sosiscsi-20170505095538/etc/isc*
initiatorname.iscsi iscsid.conf
8) Verify the output of the collected commands :
find sosreport-zesty-sosiscsi-20170505095538/sos_commands/iscsi/* -exec cat {} \; -ls
# find sosreport-zesty-sosiscsi-20170505095538/sos_commands/iscsi/* -exec cat {} \; -ls
Iface: default
Iface: iser
    34041 5 -rw-r--r-- 1 root root 27 May 5 09:55 sosreport-zesty-sosiscsi-20170505095538/sos_commands/iscsi/iscsiadm_-m_iface_-P_1
iscsiadm: No records found
    34043 5 -rw-r--r-- 1 root root 27 May 5 09:55 sosreport-zesty-sosiscsi-20170505095538/sos_commands/iscsi/iscsiadm_-m_node_--op_show
iscsiadm: No records found
    34044 5 -rw-r--r-- 1 root root 27 May 5 09:55 sosreport-zesty-sosiscsi-20170505095538/sos_commands/iscsi/iscsiadm_-m_node_-P_1
iscsiadm: No active sessions.
iSCSI Transport Class version 2.0-870
version 2.0-873
    34042 5 -rw-r--r-- 1 root root 84 May 5 09:55 sosreport-zesty-sosiscsi-20170505095538/sos_commands/iscsi/iscsiadm_-m_session_-P_3

tags: added: verification-done
removed: sts-sru-needed verification-needed
Louis Bouchard (louis) on 2017-05-10
Changed in sosreport (Ubuntu):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Trusty):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Xenial):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Yakkety):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Zesty):
assignee: Louis Bouchard (louis) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu14.04.1

---------------
sosreport (3.4-1~ubuntu14.04.1) trusty; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:34:41 +0200

Changed in sosreport (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for sosreport has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu16.10.1

---------------
sosreport (3.4-1~ubuntu16.10.1) yakkety; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:51:14 +0200

Changed in sosreport (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu17.04.1

---------------
sosreport (3.4-1~ubuntu17.04.1) zesty; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:51:14 +0200

Changed in sosreport (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu16.04.1

---------------
sosreport (3.4-1~ubuntu16.04.1) xenial; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:40:01 +0200

Changed in sosreport (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers